Skip to content
Get started

Retrieve Prompt

GET/models/{modelId}/scores/prompt

Get the prompt scores for the given modelId

Path ParametersExpand Collapse
modelId: string
Query ParametersExpand Collapse
projectId: optional string

The projectId used for ownership resource management. Either to assert ownership or to set the owner of the resource(s)

prompt: optional string

The prompt to score against the model. Required — the call returns 400 without it.

ReturnsExpand Collapse
details: object { captionsSimilarity, embeddingSimilarity, promptsSimilarity }

Different components used to compute the final score

captionsSimilarity: object { mean, median, min }

The Dice-Sørensen similarity between the prompt and each captions from the model’s training images

The values are between 0 and 1. The higher the value, the more similar the prompt is to the training images’ captions

mean: number
median: number
min: number
embeddingSimilarity: number

The cosine similarity between the prompt and the model’s caption embedding

The value is a number between -1 and 1. The higher the value, the more similar the prompt is to the model’s caption embedding

promptsSimilarity: optional object { mean, median, min }

The Dice-Sørensen similarity between the prompt and each prompts from the model’s examples

The values are between 0 and 1. The higher the value, the more similar the prompt is to the prompts’ examples

mean: number
median: number
min: number
modelId: string

The model ID (example: “model_eyVcnFJcR92BxBkz7N6g5w”)

score: number

The prompt’s score for the input modelId

The score is a number between 0 and 1. The higher the score, the better the prompt is for the model

maximum1
minimum0
status: "complete" or "incomplete" or "unknown"

The status of the prompt’s score

Details if all the necessary data is present to compute the score

One of the following:
"complete"
"incomplete"
"unknown"
syntaxError: optional "Prompt weight should be between 0 and 2" or "Prompt weight symbol should be - or + with a maximum length of 5. Ex: --, ++, ---, +++++" or "Unsupported prompt syntax: '[to:when], [from::when]'" or 4 more

Present only if the prompt has one or more syntax errors

The API checks several syntax errors in the prompt

One of the following:
"Prompt weight should be between 0 and 2"
"Prompt weight symbol should be - or + with a maximum length of 5. Ex: --, ++, ---, +++++"
"Unsupported prompt syntax: '[to:when], [from::when]'"
"Unsupported prompt syntax: 'word:<weight>' or '(word):<weight>'. Please use 'word<weight>' or '(word)<weight>' instead"
"Unsupported prompt syntax: --(s|c)ref"
"Unsupported prompt syntax: <name:weight> or <lora:name:weight>"
"Unsupported url in prompt"

Retrieve Prompt

curl https://api.cloud.scenario.com/v1/models/$MODEL_ID/scores/prompt \
    -u "$SCENARIO_SDK_API_KEY:SCENARIO_SDK_API_SECRET"
{
  "details": {
    "captionsSimilarity": {
      "mean": 0,
      "median": 0,
      "min": 0
    },
    "embeddingSimilarity": 0,
    "promptsSimilarity": {
      "mean": 0,
      "median": 0,
      "min": 0
    }
  },
  "modelId": "modelId",
  "score": 0,
  "status": "complete",
  "syntaxError": "Prompt weight should be between 0 and 2"
}
Returns Examples
{
  "details": {
    "captionsSimilarity": {
      "mean": 0,
      "median": 0,
      "min": 0
    },
    "embeddingSimilarity": 0,
    "promptsSimilarity": {
      "mean": 0,
      "median": 0,
      "min": 0
    }
  },
  "modelId": "modelId",
  "score": 0,
  "status": "complete",
  "syntaxError": "Prompt weight should be between 0 and 2"
}